Package org.eclipse.launchbar.core

# Class DefaultLaunchDescriptorType

java.lang.Object
org.eclipse.launchbar.core.DefaultLaunchDescriptorType

All Implemented Interfaces:
  `ILaunchDescriptorType`

public class DefaultLaunchDescriptorType extends Object implements ILaunchDescriptorType
A special descriptor type that managed configurations that aren't owned by other descriptor types.

Since:
  2.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`

## Constructor Summary

Constructors
Constructor
Description
`DefaultLaunchDescriptorType()`

## Method Summary

Modifier and Type
Method
Description
`ILaunchDescriptor`
`getDescriptor(Object launchObject)`
Return a descriptor for the given launch object.
`static boolean`
`isPublic(org.eclipse.debug.core.ILaunchConfiguration config)`
Used to filter out private and external tools builders
`boolean`
`supportsTargets()`
Does this descriptor type support launching on targets other than Local?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.launchbar.core.ILaunchDescriptorType

`canDelete`

## Field Details

### ID

public static final String ID

See Also:
  - Constant Field Values

## Constructor Details

### DefaultLaunchDescriptorType

public DefaultLaunchDescriptorType()

## Method Details

### supportsTargets

public boolean supportsTargets() throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchDescriptorType`
Does this descriptor type support launching on targets other than Local?

Specified by:
  `supportsTargets` in interface `ILaunchDescriptorType`
Returns:
  supports targets
Throws:
  `org.eclipse.core.runtime.CoreException`

### isPublic

public static boolean isPublic(org.eclipse.debug.core.ILaunchConfiguration config) throws org.eclipse.core.runtime.CoreException
Used to filter out private and external tools builders

Parameters:
  `config` -
Returns:
Throws:
  `org.eclipse.core.runtime.CoreException`

### getDescriptor

public ILaunchDescriptor getDescriptor(Object launchObject)
Description copied from interface: `ILaunchDescriptorType`
Return a descriptor for the given launch object. May return null to essentially eat the element so no other types create a descriptor for it. The enablement expression for a given launch object must pass for this clause to be executed.

Specified by:
  `getDescriptor` in interface `ILaunchDescriptorType`
Returns:
  the best descriptor